vnfd:
  description: Virtual Desktop Computer with Xubuntu Desktop and RDP
  df:
  - id: default-df
    instantiation-level:
    - id: default-instantiation-level
      vdu-level:
      - number-of-instances: 1
        vdu-id: virtual-pc
    vdu-profile:
    - id: virtual-pc
      min-number-of-instances: 1
      vdu-configuration-id: virtual-pc-vdu-configuration
  ext-cpd:
  - id: virtual-pc-mgmt-ext
    int-cpd:
      cpd: eth0-int
      vdu-id: virtual-pc
  id: virtual-pc_vnfd
  mgmt-cp: virtual-pc-mgmt-ext
  product-name: virtual-pc_vnfd
  provider: Canonical
  sw-image-desc:
  - id: ubuntu20.04
    image: ubuntu20.04
    name: ubuntu20.04
  vdu:
  - cloud-init-file: virtual-pc_init
    description: virtual-pc
    id: virtual-pc
    int-cpd:
    - id: eth0-int
      virtual-network-interface-requirement:
      - name: eth0
        virtual-interface:
          type: PARAVIRT
    name: virtual-pc-vdu
    sw-image-desc: ubuntu20.04
    virtual-compute-desc: virtual-pc-vdu-compute
    virtual-storage-desc:
    - virtual-pc-vdu-storage
  vdu-configuration:
  - id: virtual-pc-vdu-configuration
    config-access:
      ssh-access:
        required: true
    config-access:
      ssh-access:
        default-user: ubuntu
        required: true
    initial-config-primitive:
    - name: config
      seq: '1'
    juju:
      charm: virtual-pc
      proxy: false
  version: '1.0'
  virtual-compute-desc:
  - id: virtual-pc-vdu-compute
    virtual-cpu:
      num-virtual-cpu: 4
    virtual-memory:
      size: 8.0
  virtual-storage-desc:
  - id: virtual-pc-vdu-storage
    size-of-storage: 20
